// Jason Brillante "Damdoshi"
// Hanged Bunny Studio 2014-2015
//
// Sewer Glue

#include		"Menu.hpp"

bool			hbs::Menu::Start(hbs::SewerGlue		&_sg)
{
  int			i;
 
 sg = &_sg;
  for (i = FIRST_RESSOURCE; i < LAST_RESSOURCE; ++i)
    if (ressources[i].loadFromFile(ressources_file[i]) == false)
      return (false);
    else
      sprites[i].setTexture(ressources[i]);
  sprites[FONT].setScale(2, 2);
  theme.openFromFile("./res/theme.ogg");
  theme.setLoop(true);
  Reset();
  return (true);
}

